slepc-3.10.1 2018-10-23
Report Typos and Errors

# NEPSetSplitOperator

Sets the operator of the nonlinear eigenvalue problem in split form.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetSplitOperator(NEP nep,PetscInt n,Mat A[],FN f[],MatStructure str)

Collective on NEP, Mat and FN

### Input Parameters

| nep | - the nonlinear eigensolver context
| n | - number of terms in the split form
| A | - array of matrices
| f | - array of functions
| str | - structure flag for matrices

### Notes

The nonlinear operator is written as T(lambda) = sum_i A_i*f_i(lambda), for i=1,...,n. The derivative T'(lambda) can be obtained using the derivatives of f_i.

The structure flag provides information about A_i's nonzero pattern (see MatStructure enum). If all matrices have the same pattern, then use SAME_NONZERO_PATTERN. If the patterns are different but contained in the pattern of the first one, then use SUBSET_NONZERO_PATTERN. Otherwise use DIFFERENT_NONZERO_PATTERN.

This function must be called before NEPSetUp(). If it is called again after NEPSetUp() then the NEP object is reset.

### See Also

NEPGetSplitOperatorTerm(), NEPGetSplitOperatorInfo()

Location: src/nep/interface/nepbasic.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/nep/examples/tutorials/ex22.c.html
src/nep/examples/tutorials/ex27.c.html
src/nep/examples/tutorials/ex22f90.F90.html
src/nep/examples/tutorials/ex27f90.F90.html
src/nep/examples/nlevp/loaded_string.c.html
src/nep/examples/nlevp/gun.c.html